Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind.helpers
Class DefaultValidationEventHandler

    java.lang.Object
      javax.xml.bind.helpers.DefaultValidationEventHandler

All Implemented Interfaces:
  ValidationEventHandler

    public class DefaultValidationEventHandler

extends Object
implements ValidationEventHandler

JAXB 1.0 only default validation event handler. This is the default handler for all objects created from a JAXBContext that is managing schema-derived code generated by a JAXB 1.0 binding compiler.

This handler causes the unmarshal and validate operations to fail on the first error or fatal error.

This handler is not the default handler for JAXB mapped classes following JAXB 2.0 or later versions. Default validation event handling has changed and is specified in `Unmarshaller` and `Marshaller`.

Since:
  JAXB1.0
See Also:
  `Unmarshaller`, `Validator`, `ValidationEventHandler`

Constructor Summary
`DefaultValidationEventHandler()`

Method Summary
`boolean` | `handleEvent(ValidationEvent event)` Receive notification of a validation warning or error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultValidationEventHandler

    public DefaultValidationEventHandler()

Method Detail

### handleEvent

    public boolean handleEvent(ValidationEvent event)

  Description copied from interface: `ValidationEventHandler`
  Receive notification of a validation warning or error. The ValidationEvent will have a `ValidationEventLocator` embedded in it that indicates where the error or warning occurred.

  If an unchecked runtime exception is thrown from this method, the JAXB provider will treat it as if the method returned false and interrupt the current unmarshal, validate, or marshal operation.

  Specified by:
    `handleEvent` in interface `ValidationEventHandler`
  Parameters:
    `event` - the encapsulated validation event information. It is a provider error if this parameter is null.
  Returns:
    true if the JAXB Provider should attempt to continue the current unmarshal, validate, or marshal operation after handling this warning/error, false if the provider should terminate the current operation with the appropriate `UnmarshalException`, `ValidationException`, or `MarshalException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.